Quassel IRC - Bug #964

Nick Select Doesn't Update on Forced Nick Change
05/15/2010 05:43 AM - MadCabbit
Description

On networks that force nick changes for registered nicks instead of kills, Quassel IRC's nick selector doesn't seem to detect it.

Say you're using MyNick, with alternates MyNick2 and MyNick3, and the current nick gets changed:

[NickServ] This nickname has been registered; you may not use it. Your nickname is now being changed to Guest163043354.

The selector still shows MyNick, and the drop down shows MyNick, MyNick2, and MyNick3. Trying to select MyNick to change back
instead refreshes the selector, and in this case, Guest163043354 finally shows up, but doesn't change nicks back to MyNick.

Selecting MyNick again finally works.

Version 0.6.1

Related issues:
Related to Quassel IRC - Bug #1020: Wrong nickname when connecting to bouncer Resolved 09/08/2010

History

#1 - 08/04/2011 12:21 PM - xeross

I am having the same issue with my bouncer inbetween, even when | do a /nick myself while Quassel is "desynchronized" it will not update the select,
and the internal nickname. This might also be related to #1020

#2 - 08/05/2011 11:31 PM - TorrentialStorm

Try my patch from #1020, that should also fix forced nick changes.
